[intrepid] USB mass-storage doesn't mount automatically with nokia 5610 express with 2.6.27-7 latest

Bug #287701 reported by Bardok on 2008-10-22
106
This bug affects 11 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Low
Unassigned
Nominated for Jaunty by Julian Alarcon
Intrepid
Medium
Unassigned

Bug Description

When i connect my nokia phone 5610 express music, it's not mount and i can see a lot of error in log :

chris@Albert:~$ uname -a
Linux Albert 2.6.27-7-generic #1 SMP Wed Oct 22 01:30:40 UTC 2008 x86_64 GNU/Linux
chris@Albert:~$

see /var/log/messages :

Oct 22 20:18:54 Albert kernel: [ 94.314879] usbcore: registered new interface driver libusual
Oct 22 20:18:54 Albert kernel: [ 94.338648] Initializing USB Mass Storage driver...
Oct 22 20:18:54 Albert kernel: [ 94.341725] scsi4 : SCSI emulation for USB Mass Storage devices
Oct 22 20:18:54 Albert kernel: [ 94.343478] usbcore: registered new interface driver usb-storage
Oct 22 20:18:54 Albert kernel: [ 94.343489] USB Mass Storage support registered.
Oct 22 20:18:59 Albert kernel: [ 99.348130] scsi 4:0:0:0: Direct-Access Nokia Nokia 5610 Xpres 0000 PQ: 0 ANSI: 4
Oct 22 20:18:59 Albert kernel: [ 99.384686] sd 4:0:0:0: [sdb] 1939457 512-byte hardware sectors (993 MB)
Oct 22 20:18:59 Albert kernel: [ 99.388625] sd 4:0:0:0: [sdb] Write Protect is off
Oct 22 20:18:59 Albert kernel: [ 99.402308] sd 4:0:0:0: [sdb] 1939457 512-byte hardware sectors (993 MB)
Oct 22 20:18:59 Albert kernel: [ 99.406533] sd 4:0:0:0: [sdb] Write Protect is off
Oct 22 20:18:59 Albert kernel: [ 99.407429] sdb:
Oct 22 20:18:59 Albert kernel: [ 99.473605] sd 4:0:0:0: [sdb] Attached SCSI removable disk
Oct 22 20:18:59 Albert kernel: [ 99.474140] sd 4:0:0:0: Attached scsi generic sg2 type 0
Oct 22 20:18:59 Albert kernel: [ 99.640103] sd 4:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 22 20:18:59 Albert kernel: [ 99.640118] sd 4:0:0:0: [sdb] Add. Sense: No additional sense information
Oct 22 20:18:59 Albert kernel: [ 99.647098] sd 4:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 22 20:18:59 Albert kernel: [ 99.647110] sd 4:0:0:0: [sdb] Add. Sense: No additional sense information
Oct 22 20:18:59 Albert kernel: [ 99.658102] sd 4:0:0:0: [sdb] Sense Key : No Sense [current]
...
Oct 22 20:22:27 Albert kernel: [ 307.318201] sd 4:0:0:0: [sdb] Add. Sense: No additional sense information
Oct 22 20:22:27 Albert kernel: [ 307.325192] sd 4:0:0:0: [sdb] Sense Key : No Sense [current]
Oct 22 20:22:27 Albert kernel: [ 307.325203] sd 4:0:0:0: [sdb] Add. Sense: No additional sense information
Oct 22 20:22:27 Albert kernel: [ 307.380070] usb 3-2: USB disconnect, address 2
Oct 22 20:22:27 Albert kernel: [ 307.386525] scsi 4:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
Oct 22 20:22:27 Albert kernel: [ 307.386666] scsi 4:0:0:0: [sdb] READ CAPACITY failed
Oct 22 20:22:27 Albert kernel: [ 307.386670] scsi 4:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
Oct 22 20:22:27 Albert kernel: [ 307.386676] scsi 4:0:0:0: [sdb] Sense not available.
Oct 22 20:22:27 Albert kernel: [ 307.386694] scsi 4:0:0:0: [sdb] Write Protect is off
Oct 22 20:22:27 Albert kernel: [ 307.386762] scsi 4:0:0:0: [sdb] READ CAPACITY failed
Oct 22 20:22:27 Albert kernel: [ 307.386765] scsi 4:0:0:0: [sdb] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK,SUGGEST_OK
Oct 22 20:22:27 Albert kernel: [ 307.386771] scsi 4:0:0:0: [sdb] Sense not available.
Oct 22 20:22:27 Albert kernel: [ 307.386788] scsi 4:0:0:0: [sdb] Write Protect is off

See lsusb -v :

Bus 003 Device 002: ID 0421:0024 Nokia Mobile Phones 5610 XpressMusic (Storage mode)
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0421 Nokia Mobile Phones
  idProduct 0x0024 5610 XpressMusic (Storage mode)
  bcdDevice 4.81
  iManufacturer 1
  iProduct 2
  iSerial 3
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xc0
      Self Powered
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk (Zip)
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x01 EP 1 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
can't get device qualifier: Operation not permitted
can't get debug descriptor: Operation not permitted
cannot read device status, Operation not permitted (1)

Thanks for your help.

dalmaroad (dalmaroad) wrote :

Here is a patch for you to try. Apply it to drivers/usb/storage/unusual_devs.h in your kernel source tree, then recompile and install your kernel. This patch is for Ubuntu kernel 2.6.27-7-generic.

Bardok (bardok) wrote :

Thanks for this.

I never recompile kernel, i'll try to do this.

Bardok (bardok) wrote :

Sorry, i'm too newby for do this.
I try many times this afternonn but i've got many error. I'will try again this week.

Thanks.

Sam Liddicott (sam-liddicott) wrote :

I get the same problem with a Nokia 5200: Bus 005 Device 013: ID 0421:04bd Nokia Mobile Phones

Is there a modprobe option string for unusual dev or do I need to recompile the kernel for a fix?

Oct 27 08:31:10 lazarus kernel: [ 4552.448034] usb 5-1: new full speed USB device using uhci_hcd and address 4
Oct 27 08:31:10 lazarus kernel: [ 4552.621320] usb 5-1: configuration #1 chosen from 1 choice
Oct 27 08:31:10 lazarus kernel: [ 4552.624879] scsi3 : SCSI emulation for USB Mass Storage devices
Oct 27 08:31:15 lazarus kernel: [ 4557.632427] scsi 3:0:0:0: Direct-Access Nokia Nokia 5200 0000 PQ: 0 ANSI: 4
Oct 27 08:31:15 lazarus kernel: [ 4557.642401] sd 3:0:0:0: [sdg] 1984001 512-byte hardware sectors (1016 MB)
Oct 27 08:31:15 lazarus kernel: [ 4557.645371] sd 3:0:0:0: [sdg] Write Protect is off
Oct 27 08:31:15 lazarus kernel: [ 4557.659418] sd 3:0:0:0: [sdg] 1984001 512-byte hardware sectors (1016 MB)
Oct 27 08:31:15 lazarus kernel: [ 4557.662404] sd 3:0:0:0: [sdg] Write Protect is off
Oct 27 08:31:15 lazarus kernel: [ 4557.662441] sdg: sdg1
Oct 27 08:31:15 lazarus kernel: [ 4557.780650] sd 3:0:0:0: [sdg] Attached SCSI removable disk
Oct 27 08:31:15 lazarus kernel: [ 4557.780940] sd 3:0:0:0: Attached scsi generic sg8 type 0
Oct 27 08:31:16 lazarus kernel: [ 4558.254170] sd 3:0:0:0: [sdg] Sense Key : No Sense [current]
Oct 27 08:31:16 lazarus kernel: [ 4558.254189] sd 3:0:0:0: [sdg] Add. Sense: No additional sense information
Oct 27 08:31:16 lazarus kernel: [ 4558.261131] sd 3:0:0:0: [sdg] Sense Key : No Sense [current]
Oct 27 08:31:16 lazarus kernel: [ 4558.261147] sd 3:0:0:0: [sdg] Add. Sense: No additional sense information
Oct 27 08:31:16 lazarus kernel: [ 4558.268129] sd 3:0:0:0: [sdg] Sense Key : No Sense [current]

dalmaroad (dalmaroad) wrote :

You would have to add a patch and recompile the kernel.

Has anyone here been able to confirm this patch resolves the issue? Sam, you may need to modify the patch as it looks like you have a different device. For help on how to patch and build the kernel, do the following:

$ sudo apt-get install git-core linux-kernel-devel fakeroot build-essential makedumpfile
$ git clone git://kernel.ubuntu.com/ubuntu/ubuntu-intrepid.git
$ cd ubuntu-intrepid
$ patch -p1 < nokia_5610_unusual_devs.patch
$ CONCURRENCY_LEVEL=2 AUTOBUILD=1 NOEXTRAS=1 fakeroot debian/rules binary-generic skipabi=true

Once that finishes building there should be something like linux-image-2.6.27-7-generic_2.6.27-7.14_i386.deb
created one directory up.

The following wiki also described building the Ubuntu kernel source - https://help.ubuntu.com/community/Kernel/Compile

Definitely let us know if this patch helps. We can then work on getting is applied as a SRU - Stable Release Update (http://wiki.ubuntu.com/StableReleaseUpdates) . Thanks.

Changed in linux:
status: New → Incomplete
Bardok (bardok) wrote :

Hello,

i'try again this morning.
I do this :

$ sudo apt-get install git-core linux-kernel-devel fakeroot build-essential makedumpfile
$ git clone git://kernel.ubuntu.com/ubuntu/ubuntu-intrepid.git
$ cd ubuntu-intrepid
$ sudo cp /boot/config-2.6.27-7-generic .
$ sudo debian/rules updateconfigs
$ sudo patch -p1 < nokia_5610_unusual_devs.patch
$ sudo AUTOBUILD=1 fakeroot debian/rules binary-debs (i've got an amd64)
and after more than 1 hours i've got this error :

II: Done
dh_testdir
dh_testroot
dh_clean -k -plinux-image-2.6.27-7-generic
dh_clean -k -plinux-headers-2.6.27-7-generic
dh_clean -k -plinux-image-debug-2.6.27-7-generic
# The main image
install -m644 -D /usr/src/ubuntu-intrepid/debian/build/build-generic/arch/x86_64/boot/bzImage \
  /usr/src/ubuntu-intrepid/debian/linux-image-2.6.27-7-generic/boot/vmlinuz-2.6.27-7-generic
install -m644 /usr/src/ubuntu-intrepid/debian/build/build-generic/.config \
  /usr/src/ubuntu-intrepid/debian/linux-image-2.6.27-7-generic/boot/config-2.6.27-7-generic
install -m644 /usr/src/ubuntu-intrepid/debian/abi/2.6.27-7.14/amd64/generic \
  /usr/src/ubuntu-intrepid/debian/linux-image-2.6.27-7-generic/boot/abi-2.6.27-7-generic
install -m644 /usr/src/ubuntu-intrepid/debian/build/build-generic/System.map \
  /usr/src/ubuntu-intrepid/debian/linux-image-2.6.27-7-generic/boot/System.map-2.6.27-7-generic
makedumpfile -g /usr/src/ubuntu-intrepid/debian/linux-image-2.6.27-7-generic/boot/vmcoreinfo-2.6.27-7-generic \
  -x /usr/src/ubuntu-intrepid/debian/build/build-generic/vmlinux
/bin/bash: makedumpfile: command not found
make: *** [install-generic] Erreur 127

What's wrong?

Bardok (bardok) wrote :

Sorry i see makedumpfile is not installed...

Bardok (bardok) wrote :

Ok tonight i've got deb of my kernel.

After install and reboot, my Nokia 5610 is recognized. I can see him in nautilus and i've got access to my files.

Thanks a lot.

niol (alexandre-rossi) wrote :

I can confirm the this patch fixes the problem for me too.

Bardok (bardok) wrote :

Hello,

how i do, to have this patch applied for the next ubuntu version of the kernel?

Thanks.

niol (alexandre-rossi) on 2008-11-09
Changed in linux:
status: Incomplete → Confirmed
tmbogus (jonaswg) wrote :

Just a heads up,

I had to change the phone firmware version on the patch file for it to properly recognize the device ( UNUSUAL_DEV( 0x0421, 0x0024, 0x0000, 0x0660 ). Mine was 6.60 compared to Bardok's 4.81.

And by the way, package linux-kernel-devel doesn't seem to be available in Intrepid anymore. But wasn't necessary for the compilation either.

Anyway, thanks for the help.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
milestone: none → intrepid-updates
status: New → Triaged
Bardok (bardok) wrote :

Thanks for this information. I didn't see, there's an update for my phone.

The patch, in the kernel, will be ok if i upgrade my phone to version 6.60?

tmbogus (jonaswg) wrote :

With this and any other firmware update you probably only have to change that last decimal sequence in the UNUSUAL_DEV field.

Just make sure it corresponds to the one you are using.

EricDHH (ericdhh) wrote :

This Bug also affects the nokia 5310 xpress. This is intrepid amd64 2.6.27-7-generic

Nov 13 18:40:53 mjolnir kernel: [ 475.635981] Buffer I/O error on device sdc, logical block 3842048
Nov 13 18:40:53 mjolnir kernel: [ 475.636022] Buffer I/O error on device sdc, logical block 3842048
Nov 13 18:40:53 mjolnir kernel: [ 475.636072] Buffer I/O error on device sdc, logical block 3842040
Nov 13 18:40:53 mjolnir kernel: [ 475.636086] Buffer I/O error on device sdc, logical block 3842041

Did not mount, will try this with an older boot cd.

Eric

jklasdf (jjj11x) wrote :

This bug also affects the nokia 6263 on intrepid amd64 2.6.27-7-generic:

[ 157.596793] sd 5:0:0:0: [sdb] Add. Sense: No additional sense information
[ 157.603812] sd 5:0:0:0: [sdb] Sense Key : No Sense [current]
[ 157.603823] sd 5:0:0:0: [sdb] Add. Sense: No additional sense information
[ 157.610797] sd 5:0:0:0: [sdb] Sense Key : No Sense [current]
[ 157.610809] sd 5:0:0:0: [sdb] Add. Sense: No additional sense information
[ 157.617802] sd 5:0:0:0: [sdb] Sense Key : No Sense [current]

Herton R. Krzesinski (herton) wrote :

Looks like many nokia devices are affected by similar issues (may be recent scsi layer changes since 2.6.26/27?).

dalmaroad: can you submit your patch upstream to linux-usb mailing list? (<email address hidden>, add a changelog and signed-off too)

EricDHH (ericdhh) wrote :

Got a kernel-update (amd64) this morning ->vmlinuz-2.6.27-8-generic

Bug already alive, nokia 5310 did not mount but cpu hangs nears 100% power consumption.

Installed vmlinuz-2.6.24-21-generic from hardy into intrepid, many issues but the nokia mounts fine.

Please fix this ugly bug with 2.6.27-9 i dont know which change has destroyed the working mount after 2.6.24.

Eric

dalmaroad (dalmaroad) wrote :

I have submitted a patch upstream.

@ TuxfarmHH: This shouldn't affect the 5310, unless Nokia updated their firmware, as I have submitted a patch upstream for that device(I own one) awhile ago(Intrepid Alpha 6 shipped with a patched kernel). Please open a new bug report and post the output of dmesg and lsusb -v and I'll see what has changed.

Phil Shotton (phil-shotton) wrote :
Download full text (3.2 KiB)

Fails on Nokia N82 as well:

Nov 20 10:00:12 laptop kernel: [185251.288065] usb 1-1: new full speed USB device using uhci_hcd and address 2
Nov 20 10:00:12 laptop kernel: [185251.452866] usb 1-1: configuration #1 chosen from 1 choice
Nov 20 10:00:12 laptop kernel: [185251.461442] scsi14 : SCSI emulation for USB Mass Storage devices
Nov 20 10:00:17 laptop kernel: [185256.480249] scsi 14:0:0:0: Direct-Access Nokia Nokia N82 1.0 PQ: 0 ANSI: 0
Nov 20 10:00:17 laptop kernel: [185256.496165] sd 14:0:0:0: [sdb] 3920896 512-byte hardware sectors (2007 MB)
Nov 20 10:00:17 laptop kernel: [185256.499165] sd 14:0:0:0: [sdb] Write Protect is off
Nov 20 10:00:17 laptop kernel: [185256.519670] sd 14:0:0:0: [sdb] 3920896 512-byte hardware sectors (2007 MB)
Nov 20 10:00:17 laptop kernel: [185256.523383] sd 14:0:0:0: [sdb] Write Protect is off
Nov 20 10:00:17 laptop kernel: [185256.525379] sdb: sdb1
Nov 20 10:00:17 laptop kernel: [185256.696704] sd 14:0:0:0: [sdb] Attached SCSI removable disk
Nov 20 10:00:17 laptop kernel: [185256.697301] sd 14:0:0:0: Attached scsi generic sg2 type 0
Nov 20 10:00:22 laptop kernel: [185261.703168] sd 14:0:0:0: [sdb] Device not ready: Sense Key : Not Ready [current]
Nov 20 10:00:22 laptop kernel: [185261.703184] sd 14:0:0:0: [sdb] Device not ready: Add. Sense: Medium not present
Nov 20 10:00:22 laptop kernel: [185261.703203] __ratelimit: 7 callbacks suppressed

Bus 001 Device 002: ID 0421:0072 Nokia Mobile Phones
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0421 Nokia Mobile Phones
  idProduct 0x0072
  bcdDevice 1.00
  iManufacturer 1
  iProduct 2
  iSerial 3
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 4
    bmAttributes 0xc0
      Self Powered
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk (Zip)
      iInterface 6
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x03 EP 3 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
    ...

Read more...

It seems that with this kernel 2.6.27-7-generic, i cant access my Nokia 6300 with 2 gb SD card as mass storage in ubuntu intrepid (up-to-date)

in /var/log/messages its looping with:

Nov 20 12:25:32 kuba-ubu kernel: [ 615.869192] sd 4:0:0:0: [sdc] Sense Key : No Sense [current]
Nov 20 12:25:32 kuba-ubu kernel: [ 615.869209] sd 4:0:0:0: [sdc] Add. Sense: No additional sense information
Nov 20 12:25:32 kuba-ubu kernel: [ 615.876184] sd 4:0:0:0: [sdc] Sense Key : No Sense [current]
Nov 20 12:25:32 kuba-ubu kernel: [ 615.876198] sd 4:0:0:0: [sdc] Add. Sense: No additional sense information

but seems kernel can see that device is connected...(physically)

and now the weirdest thing... i can access my Nokia 6300 as USB mass storage device under Virtualbox - windows xp sp3!

us 004 Device 004: ID 0421:04fa Nokia Mobile Phones
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x0421 Nokia Mobile Phones
  idProduct 0x04fa
  bcdDevice 6.60
  iManufacturer 1
  iProduct 2
  iSerial 3
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0xc0
      Self Powered
    MaxPower 100mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk (Zip)
      iInterface 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x81 EP 1 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x01 EP 1 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0040 1x 64 bytes
        bInterval 0
can't get device qualifier: Bad file descriptor
can't get debug descriptor: Bad file descriptor
cannot read device status, Bad file descriptor (9)

If you need more info, please let me know

Is there any chance to get some kernel updates thru update manager?

Cristian Molina (megatux) wrote :

Same issue here on a Nokia 6131, kernell 2.6.27-7 & firmware 6.10

Jim Lieb (lieb) on 2008-11-24
Changed in linux:
assignee: ubuntu-kernel-team → lieb
Erektium (meizinteizi) wrote :

I have the same issue on a nokia 5300 xpressmusic, kernel 2.6.27-9 and firmware 4.70

Jim Lieb (lieb) on 2008-12-02
Changed in linux:
status: Triaged → In Progress
Jim Lieb (lieb) wrote :

There are a number of Nokia phone models reported here and this bug has been tagged as a duplicate of another bug with different symptoms. Please test the kernel package below and report back so that we can at least close out issues with new unusual dev entries.

The packages can be found at:

  https://launchpad.net/~lieb/+archive

Follow the directions for updating from a PPA.

Note that this kernel is for testing only. Once this issue is verified, the patch will be forwarded into the update process for intrepid.

Steve Langasek (vorlon) wrote :

Accepted into intrepid-proposed, please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in linux:
milestone: intrepid-updates → none
status: In Progress → Fix Committed
LGB [Gábor Lénárt] (lgb) wrote :

I've just tested new packages from intrepid-proposed (2.6.27-11.22) and at least this version does not work still, The problem is the same as I wrote in bug 300394 phone is: "ID 0421:0429 Nokia Mobile Phones 6230i MultiMedia Card" according to lsusb, please visit my bug report for more information, thank you!

idem here, still not working, nokia 6131 & 2.6.27-11-generic

On Sat, Dec 20, 2008 at 5:47 PM, LGB [Gábor Lénárt] <email address hidden> wrote:

> I've just tested new packages from intrepid-proposed (2.6.27-11.22) and
> at least this version does not work still, The problem is the same as I
> wrote in bug 300394 phone is: "ID 0421:0429 Nokia Mobile Phones 6230i
> MultiMedia Card" according to lsusb, please visit my bug report for more
> information, thank you!
>
> --
> [intrepid] USB mass-storage doesn't mount automatically with nokia 5610
> express with 2.6.27-7 latest
> https://bugs.launchpad.net/bugs/287701
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
-----------------------------------------------------
  .^. In an open world, who needs windows or gates?
  /V\ Cristian Molina
 // \\ GNU/Linux User #73047, Ubuntu User # 14733
/( _ )\ BsAs-Argentina
 ^^ ^^ ---------------------------------------------

8200 (8200) wrote :

I can confirm this bug with my nokia 6151 @ ubuntu 8.10 i386 and also amd64 (2.6.27-9-generic).

in dmesg there just appears continuously:
[ 422.243052] sd 3:0:0:0: [sdb] Sense Key : No Sense [current]
[ 422.243071] sd 3:0:0:0: [sdb] Add. Sense: No additional sense information
[ 422.250051] sd 3:0:0:0: [sdb] Sense Key : No Sense [current]
[ 422.250070] sd 3:0:0:0: [sdb] Add. Sense: No additional sense information
[ 422.257051] sd 3:0:0:0: [sdb] Sense Key : No Sense [current]
[ 422.257070] sd 3:0:0:0: [sdb] Add. Sense: No additional sense information
[ 422.265050] sd 3:0:0:0: [sdb] Sense Key : No Sense [current]
[ 422.265069] sd 3:0:0:0: [sdb] Add. Sense: No additional sense information
......

DAGA (david-guerrero-cable) wrote :

I can confirm that the patch works, but i had to modify it since my phone reports a different idProduct and as has been posted before the firmware version is now 6.60.

Launchpad Janitor (janitor) wrote :
Download full text (16.6 KiB)

This bug was fixed in the package linux - 2.6.27-11.25

---------------
linux (2.6.27-11.25) intrepid-proposed; urgency=low

  [ Jeff Layton ]

  * SAUCE: cifs: make sure we allocate enough storage for socket address
    - LP: #318565

linux (2.6.27-11.24) intrepid-proposed; urgency=low

  [ Stefan Bader ]

  * Revert "SAUCE: don't use buggy _BCL/_BCM/_BQC for backlight control"
    - LP: #311716
  * SAUCE: acpi: Hack to enable video and vendor backlight implementations
    - LP: #311716
  * SAUCE: Force vendor backlight control on ThinkPad T61
    - LP: #311716

  [ Upstream Kernel Changes ]

  * Revert "thinkpad_acpi: fingers off backlight if video.ko is serving
    this functionality"
    - LP: #311716

linux (2.6.27-11.23) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * SAUCE: don't use buggy _BCL/_BCM/_BQC for backlight control
    - LP: #311716, #314119

  [ Jim Lieb ]

  * SAUCE: atl2: add tx bytes statistic
    - LP: #268622

  [ Upstream Kernel Changes ]

  * i915: Save/restore MCHBAR_RENDER_STANDBY on GM965/GM45
    - LP: #276943

linux (2.6.27-11.22) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * Revert "synchronise our linux-libc-dev with the kernel userspace
    headers". It was causing regressions.
    - LP: #300803

  [ Brian Rogers ]

  * SAUCE: Add support for MSI TV@nywhere Plus remote
    - LP: #281647

  [ Tim Gardner ]

  * SAUCE: Dell laptop digital mic does not work, PCI 1028:0271
    - LP: #309508

  [ Upstream Kernel Changes ]

  * Revert "sched_clock: prevent scd->clock from moving backwards"
  * AMD IOMMU: enable device isolation per default
  * bonding: fix miimon failure counter
  * x86 Fix VMI crash on boot in 2.6.28-rc8
  * libata: fix Seagate NCQ+FLUSH blacklist
  * e1000e: fix double release of mutex
  * can: Fix CAN_(EFF|RTR)_FLAG handling in can_filter
  * can: omit received RTR frames for single ID filter lists
  * iwlwifi: clean key table in iwl_clear_stations_table function
  * net: eliminate warning from NETIF_F_UFO on bridge
  * unicode table for cp437
  * console ASCII glyph 1:1 mapping
  * key: fix setkey(8) policy set breakage
  * firewire: fw-ohci: fix IOMMU resource exhaustion
  * ieee1394: add quirk fix for Freecom HDD
  * SUNRPC: Fix a performance regression in the RPC authentication code
  * b1isa: fix b1isa_exit() to really remove registered capi controllers
  * macfb: Do not overflow fb_fix_screeninfo.id
  * setup_per_zone_pages_min(): take zone->lock instead of zone->lru_lock
  * xilinx_hwicap: remove improper wording in license statement
  * Linux 2.6.27.10 except for "iwlagn: fix RX skb alignment". Besides causing
    an ABI bump it only applies to machines using > 4K page size (such as PowerPC).
    Pick this one up on the next ABI bumping upload.
    - LP: #309731

linux (2.6.27-11.21) intrepid-proposed; urgency=low

  [ Andy Whitcroft ]

  * synchronise our linux-libc-dev with the kernel userspace headers
    - LP: #300803

  [ Jim Lieb ]

  * SAUCE: [PATCH 1/1] USB: Unusual devs patch for Nokia 5610
    - LP: #287701

  [ Michael Krufky ]

  * sms1xxx: use new firmware for Hauppauge WinTV MiniStick
    - LP: #299671
  * sms1xxx: add autodetection support for Hauppa...

Changed in linux:
status: Fix Committed → Fix Released
programad (programad) wrote :

This patch(first comment) also works with the 2.6.27-9 kernel. Just tested it.

Sam Liddicott (sam-liddicott) wrote :

On 2.6.27-11-generic
I get:
[56484.373204] usb-storage: device scan complete
[56484.376191] scsi 3:0:0:0: Direct-Access Nokia Nokia 5200 0000 PQ: 0 ANSI: 4
[56484.421581] sd 3:0:0:0: [sdg] 1984001 512-byte hardware sectors (1016 MB)
[56484.425297] sd 3:0:0:0: [sdg] Write Protect is off
[56484.425307] sd 3:0:0:0: [sdg] Mode Sense: 03 00 00 00
[56484.425311] sd 3:0:0:0: [sdg] Assuming drive cache: write through
[56484.438183] sd 3:0:0:0: [sdg] 1984001 512-byte hardware sectors (1016 MB)
[56484.441429] sd 3:0:0:0: [sdg] Write Protect is off
[56484.441439] sd 3:0:0:0: [sdg] Mode Sense: 03 00 00 00
[56484.441443] sd 3:0:0:0: [sdg] Assuming drive cache: write through
[56484.444563] sdg: sdg1
[56484.574635] sd 3:0:0:0: [sdg] Attached SCSI removable disk
[56484.575217] sd 3:0:0:0: Attached scsi generic sg8 type 0
[56484.740094] sd 3:0:0:0: [sdg] Sense Key : No Sense [current]
[56484.740107] sd 3:0:0:0: [sdg] Add. Sense: No additional sense information
[56484.754101] sd 3:0:0:0: [sdg] Sense Key : No Sense [current]
[56484.754115] sd 3:0:0:0: [sdg] Add. Sense: No additional sense information
[56484.762090] sd 3:0:0:0: [sdg] Sense Key : No Sense [current]
[56484.762101] sd 3:0:0:0: [sdg] Add. Sense: No additional sense information
[56484.770087] sd 3:0:0:0: [sdg] Sense Key : No Sense [current]
[56484.770097] sd 3:0:0:0: [sdg] Add. Sense: No additional sense information
[56484.778095] sd 3:0:0:0: [sdg] Sense Key : No Sense [current]
[forever]

I hope it is ok to follow up within this bug report although it is already marked as "Fix released".

Unfortunately, newer Nokia 6300 firmware revisions (7.00 and 7.21) still exhibit this bug, but are not covered by the recently released patch.

I created a patch that corrects this (see attachment) and uploaded the resulting kernel to my PPA (currently still building):

deb http://ppa.launchpad.net/thilo.ginkel/ppa/ubuntu intrepid main
deb-src http://ppa.launchpad.net/thilo.ginkel/ppa/ubuntu intrepid main

I will also update the upstream bugzilla report.

Would it be possible to correct this in the official kernel with the next bugfix release?

Correction: I will not report this upstream as 2.6.28 no longer seems to need an unusual_devs.h entry for Nokia phones...

EricDHH (ericdhh) wrote :

Hello
my status now: Have updated the 5310 to firmware 9.32 cause somebody told me that nokia fixes this bug.

On intrepid 2.6.27-11-generic

Apr 22 06:01:46 atalanta kernel: [ 2188.104780] sd 3:0:0:0: [sdb] Sense Key : No Sense [current]
Apr 22 06:01:46 atalanta kernel: [ 2188.104803] sd 3:0:0:0: [sdb] Add. Sense: No additional sense information
Apr 22 06:01:46 atalanta kernel: [ 2188.117458] sd 3:0:0:0: [sdb] Sense Key : No Sense [current]
Apr 22 06:01:46 atalanta kernel: [ 2188.117489] sd 3:0:0:0: [sdb] Add. Sense: No additional sense information

A check with the new laptop with 9.04 are coming soon.

Byebye
Eric

EricDHH (ericdhh) wrote :

Hello

with Jaunty i386 the nokia 5310 mounts well. How can confirm this for amd64?

Bye
Eric

Stefan Bader (smb) wrote :

Could someone try this with Intrepid kernels after 2.6.27-12.28 (currently from proposed) and the latest Jaunty kernels. Intrepid has some updates from stable that will add Nokia to a generic special handling and the same change should be in Jaunty as well.

Changed in linux (Ubuntu):
assignee: nobody → stefan-bader-canonical
status: Confirmed → Incomplete
importance: Undecided → Low
DAGA (david-guerrero-cable) wrote :

I've tried in Kubuntu Jaunty and it works without any patches.

Stefan Bader (smb) wrote :

Closing based on last comment. If this is incorrect, please reopen. Thanks.

Changed in linux (Ubuntu):
status: Incomplete → Fix Released
felipecn (cepriano) wrote :

I have the same problem with my Sony Ericsson Z780i when it is on the file transfer mode.

I'm running Kubuntu 9.04 with kernel 2.6.28-11-generic

Julian Alarcon (alarconj) wrote :

Reopened, I can confirm this bug.. I'm using Ubuntu 9.04 Juanty Jackaope with last kernel updates from proposal repo.
Phone: Nokia 6300

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Stefan Bader (smb) wrote :

felipecn and Julián, can you please attach the output of 'sudo lsusb -vvv'?

felipecn (cepriano) wrote :

Stefan, that's the output:

I too have this problem. Jaunty 9.04 with current updates. LG Shine CU-720.

If I boot Intrepid from the live CD my phone connects with no problem.

Thanks!

Julian Alarcon (alarconj) wrote :

The problem with the Nokia 6300 phone has gone.. maybe was the firmaware update. From version 4.xx of 2006 to 7.21 of 2008 the phone works fine and fast.
Or maybe, because I format the Memory Card.

Stefan Bader (smb) wrote :

@Julian, great. Thanks for reporting.

@Alan, your dmesg looks like this would fall into a different class of problems. It sounds like the device gives an error on being probed while it looks most issues in this bug were because the devices report a incorrect number of sectors. Can I ask you to open a separate bug please? When doing so, it would be good to have the dmesg of the working case, the dmesg of the failing case (in both cases the full dmesg) and the lsusb output again. One thing to try might be to try booting with "usbcore.old_scheme_first=1".

@Just to make sure your problem is a bad sector number from the device, could you also post the dmesg? I noted from the lsusb output that your phone is a USB2 device while it seems to be connected to a USB1 hub. Depending on the dmesg this might be unrelated but it also might be worth a try switching ports...

Stefan Bader (smb) wrote :

Doh, that @Just should mean @felipecn. Anyways, as there seemed to be other Sony Ericsons needing the same changes, I created some test kernels at http://people.canonical.com/~smb//bug287701/. So, felipecn, could you try one of those and tell whether this helps? Thanks.

felipecn (cepriano) wrote :

@Stefan, I tried this kernel, but the problem is still happening.

The first dmesg.txt file was taken using my previous kernel, but the same happens with the one you posted.

Stefan, not sure if you need to know, but I did finally get around to collecting the info and submitting a new bug report. It's Bug #407746.

Thanks again,
Alan

Jeremy Foshee (jeremyfoshee) wrote :

closing as invalid due to no response in quite some time. If this is still an issue on the latest development branch, please open a new bug for that issue.

~JFo

Changed in linux (Ubuntu Intrepid):
assignee: Jim Lieb (lieb) → nobody
Changed in linux (Ubuntu):
assignee: Stefan Bader (stefan-bader-canonical) → nobody
status: Confirmed → Invalid
Eugene Romanenko (eros2) wrote :
Download full text (13.6 KiB)

This issue still not fixed in Ubuntu 12.04. I marked bug #292522, bug #384299, bug #407746 as duplicates to this bug.

Also exist related bug #263217, I not touched it, as it in "Fix Released" state.

Here syslog output on attaching device in usb storage mode:

May 23 19:21:54 eugene-desktop kernel: [31513.828082] usb 2-10: new full-speed USB device number 15 using ohci_hcd
May 23 19:21:54 eugene-desktop mtp-probe: checking bus 2, device 15: "/sys/devices/pci0000:00/0000:00:02.0/usb2/2-10"
May 23 19:21:54 eugene-desktop mtp-probe: bus: 2, device: 15 was not an MTP device
May 23 19:21:54 eugene-desktop kernel: [31514.052247] Initializing USB Mass Storage driver...
May 23 19:21:54 eugene-desktop kernel: [31514.058008] scsi11 : usb-storage 2-10:1.0
May 23 19:21:54 eugene-desktop kernel: [31514.058109] usbcore: registered new interface driver usb-storage
May 23 19:21:54 eugene-desktop kernel: [31514.058111] USB Mass Storage support registered.
May 23 19:21:54 eugene-desktop usb_modeswitch[32014]: usb_modeswitch: switching disabled, no action for 05c6:1000
May 23 19:21:55 eugene-desktop kernel: [31515.065062] scsi 11:0:0:0: Direct-Access Samsung Mass Storage 2.31 PQ: 0 ANSI: 2
May 23 19:21:55 eugene-desktop kernel: [31515.066826] sd 11:0:0:0: Attached scsi generic sg3 type 0
May 23 19:21:55 eugene-desktop kernel: [31515.087053] sd 11:0:0:0: [sdc] 122625 512-byte logical blocks: (62.7 MB/59.8 MiB)
May 23 19:21:55 eugene-desktop kernel: [31515.094038] sd 11:0:0:0: [sdc] Write Protect is off
May 23 19:21:55 eugene-desktop kernel: [31515.094049] sd 11:0:0:0: [sdc] Mode Sense: 0b 00 00 08
May 23 19:21:55 eugene-desktop kernel: [31515.101087] sd 11:0:0:0: [sdc] No Caching mode page present
May 23 19:21:55 eugene-desktop kernel: [31515.101101] sd 11:0:0:0: [sdc] Assuming drive cache: write through
May 23 19:21:55 eugene-desktop kernel: [31515.134042] sd 11:0:0:0: [sdc] No Caching mode page present
May 23 19:21:55 eugene-desktop kernel: [31515.134053] sd 11:0:0:0: [sdc] Assuming drive cache: write through
May 23 19:21:55 eugene-desktop kernel: [31515.159074] sdc: sdc1
May 23 19:21:55 eugene-desktop kernel: [31515.200052] sd 11:0:0:0: [sdc] No Caching mode page present
May 23 19:21:55 eugene-desktop kernel: [31515.200063] sd 11:0:0:0: [sdc] Assuming drive cache: write through
May 23 19:21:55 eugene-desktop kernel: [31515.200071] sd 11:0:0:0: [sdc] Attached SCSI removable disk
May 23 19:21:55 eugene-desktop kernel: [31515.269992] sd 11:0:0:0: [sdc] Device not ready
May 23 19:21:55 eugene-desktop kernel: [31515.270001] sd 11:0:0:0: [sdc] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
May 23 19:21:55 eugene-desktop kernel: [31515.270012] sd 11:0:0:0: [sdc] Sense Key : Not Ready [current]
May 23 19:21:55 eugene-desktop kernel: [31515.270023] sd 11:0:0:0: [sdc] Add. Sense: Medium not present
May 23 19:21:55 eugene-desktop kernel: [31515.270034] sd 11:0:0:0: [sdc] CDB: Read(10): 28 00 00 01 df 00 00 00 01 00
May 23 19:21:55 eugene-desktop kernel: [31515.270055] end_request: I/O error, dev sdc, sector 122624
May 23 19:21:55 eugene-desktop kernel: [31515.270064] quiet_error: 365 callbacks suppressed
May 23 19:21:55 eugene-desktop kernel: [31515.2700...

Changed in linux (Ubuntu):
status: Invalid → New
tags: added: apport-collected precise

AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: NVidia [HDA NVidia], device 0: VT1708S Analog [VT1708S Analog]
   Subdevices: 2/2
   Subdevice #0: subdevice #0
   Subdevice #1: subdevice #1
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: eugene 6331 F.... pulseaudio
CRDA: Error: command ['iw', 'reg', 'get'] failed with exit code 1: nl80211 not found.
Card0.Amixer.info:
 Card hw:0 'NVidia'/'HDA NVidia at 0xdfff4000 irq 21'
   Mixer name : 'VIA VT1708S'
   Components : 'HDA:11060397,1043840c,00100000'
   Controls : 41
   Simple ctrls : 21
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=26d37dd2-5c12-4a77-9c14-53f9a9e1c140
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Release i386 (20120423)
IwConfig:
 tap0 no wireless extensions.

 lo no wireless extensions.

 eth0 no wireless extensions.
Lsusb:
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
 Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
 Bus 001 Device 002: ID 1e4e:0102
 Bus 002 Device 002: ID 0458:0056 KYE Systems Corp. (Mouse Systems) Ergo 300 Mouse
MachineType: System manufacturer System Product Name
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 LANGUAGE=ru_RU:ru
 TERM=xterm
 PATH=(custom, no user)
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic-pae root=UUID=0c74b320-db8c-4810-aa01-fa30a5bf0e8f ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.2.0-24.38-generic-pae 3.2.16
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic-pae N/A
 linux-backports-modules-3.2.0-24-generic-pae N/A
 linux-firmware 1.79
RfKill:

SourcePackage: linux
Tags: precise precise
Uname: Linux 3.2.0-24-generic-pae i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 07/05/2011
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1301
dmi.board.asset.tag: To Be Filled By O.E.M.
dmi.board.name: M4N68T-M
dmi.board.vendor: ASUSTeK Computer INC.
dmi.board.version: Rev X.0x
dmi.chassis.asset.tag: Asset-1234567890
dmi.chassis.type: 3
dmi.chassis.vendor: Chassis Manufacture
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1301:bd07/05/2011:svnSystemmanufacturer:pnSystemProductName:pvrSystemVersion:rvnASUSTeKComputerINC.:rnM4N68T-M:rvrRevX.0x:cvnChassisManufacture:ct3:cvrChassisVersion:
dmi.product.name: System Product Name
dmi.product.version: System Version
dmi.sys.vendor: System manufacturer

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 287701

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: intrepid
Eugene Romanenko (eros2) wrote :

apport information already added.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Confirmed → Won't Fix
Oliver Joos (oliver-joos) wrote :

Such automated scripts should be smarter. Recent comments and (script readable) apport informations clearly indicate that this bug still exists in 12.04 LTS.

Please undo status "Won't Fix" and nominate or tag it for 12.04 or whatever to mute further simple scripts.

Eugene Romanenko (eros2) wrote :
Download full text (3.4 KiB)

BTW, still unresolved in kernel 3.5 (Quantal and Precise updates).

syslog:

Nov 20 15:49:32 eugene kernel: [944330.319604] scsi13 : usb-storage 7-2:1.0
Nov 20 15:49:33 eugene kernel: [944331.325025] scsi 13:0:0:0: Direct-Access Samsung Mass Storage 2.31 PQ: 0 ANSI: 2
Nov 20 15:49:33 eugene kernel: [944331.326841] sd 13:0:0:0: Attached scsi generic sg2 type 0
Nov 20 15:49:33 eugene kernel: [944331.345011] sd 13:0:0:0: [sdb] 122625 512-byte logical blocks: (62.7 MB/59.8 MiB)
Nov 20 15:49:33 eugene kernel: [944331.350985] sd 13:0:0:0: [sdb] Write Protect is off
Nov 20 15:49:33 eugene kernel: [944331.350997] sd 13:0:0:0: [sdb] Mode Sense: 0b 00 00 08
Nov 20 15:49:33 eugene kernel: [944331.356982] sd 13:0:0:0: [sdb] No Caching mode page present
Nov 20 15:49:33 eugene kernel: [944331.356992] sd 13:0:0:0: [sdb] Assuming drive cache: write through
Nov 20 15:49:33 eugene kernel: [944331.386986] sd 13:0:0:0: [sdb] No Caching mode page present
Nov 20 15:49:33 eugene kernel: [944331.386997] sd 13:0:0:0: [sdb] Assuming drive cache: write through
Nov 20 15:49:33 eugene kernel: [944331.409958] sdb: sdb1
Nov 20 15:49:33 eugene kernel: [944331.443945] sd 13:0:0:0: [sdb] No Caching mode page present
Nov 20 15:49:33 eugene kernel: [944331.443957] sd 13:0:0:0: [sdb] Assuming drive cache: write through
Nov 20 15:49:33 eugene kernel: [944331.443965] sd 13:0:0:0: [sdb] Attached SCSI removable disk
Nov 20 15:49:33 eugene kernel: [944331.524854] sd 13:0:0:0: [sdb] Device not ready
Nov 20 15:49:33 eugene kernel: [944331.524865] sd 13:0:0:0: [sdb]
Nov 20 15:49:33 eugene kernel: [944331.524870] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov 20 15:49:33 eugene kernel: [944331.524876] sd 13:0:0:0: [sdb]
Nov 20 15:49:33 eugene kernel: [944331.524879] Sense Key : Not Ready [current]
Nov 20 15:49:33 eugene kernel: [944331.524887] sd 13:0:0:0: [sdb]
Nov 20 15:49:33 eugene kernel: [944331.524893] Add. Sense: Medium not present
Nov 20 15:49:33 eugene kernel: [944331.524899] sd 13:0:0:0: [sdb] CDB:
Nov 20 15:49:33 eugene kernel: [944331.524902] Read(10): 28 00 00 01 df 00 00 00 01 00
Nov 20 15:49:33 eugene kernel: [944331.524918] end_request: I/O error, dev sdb, sector 122624
Nov 20 15:49:33 eugene kernel: [944331.524926] Buffer I/O error on device sdb, logical block 122624
Nov 20 15:49:33 eugene kernel: [944331.538884] sd 13:0:0:0: [sdb] Device not ready
Nov 20 15:49:33 eugene kernel: [944331.538894] sd 13:0:0:0: [sdb]
Nov 20 15:49:33 eugene kernel: [944331.538898] Result: hostbyte=DID_OK driverbyte=DRIVER_SENSE
Nov 20 15:49:33 eugene kernel: [944331.538904] sd 13:0:0:0: [sdb]
Nov 20 15:49:33 eugene kernel: [944331.538907] Sense Key : Not Ready [current]
Nov 20 15:49:33 eugene kernel: [944331.538915] sd 13:0:0:0: [sdb]
Nov 20 15:49:33 eugene kernel: [944331.538919] Add. Sense: Medium not present
Nov 20 15:49:33 eugene kernel: [944331.538925] sd 13:0:0:0: [sdb] CDB:
Nov 20 15:49:33 eugene kernel: [944331.538928] Read(10): 28 00 00 01 df 00 00 00 01 00
Nov 20 15:49:33 eugene kernel: [944331.538945] end_request: I/O error, dev sdb, sector 122624
Nov 20 15:49:33 eugene kernel: [944331.538952] Buffer I/O error on device sdb, logical block 122624
Nov 20 15:49:33 eugen...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.